> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plutus.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Register File



## OpenAPI

````yaml POST /submit/file/
openapi: 3.1.0
info:
  title: 'Asclepius: API'
  description: Internal REST API for the Asclepius Molecular Dynamics Engine
  termsOfService: http://example.com/terms/
  contact:
    name: Support Team
    url: https://www.vorticity.xyz/
    email: hello@vorticity.xyz
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 0.1.0
servers:
  - url: https://98i2es6mi4.execute-api.us-west-2.amazonaws.com/prod
    description: Prod
security:
  - ApiKeyAuth: []
paths:
  /submit/file/:
    post:
      summary: Submit File
      operationId: submit_file_submit_file__post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileCreateParams'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FileCreateParams:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Human-friendly name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: type of file
        format:
          anyOf:
            - type: string
            - type: 'null'
          title: Format
          description: file format (e.g., 'pdb', 'sdf', 'zip')
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
          description: File id of a previously uploaded file
        pdb_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdb Id
          description: RCSB PDB identifier like '1BNA'
      type: object
      title: FileCreateParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````